;*************************** Max Width *******************************
APRS-SVC(9)            XROUTER REFERENCE MANUAL              22/9/2023

NAME
        APRS-SVC -- NetRomX APRS Service.

DESCRIPTION
        NetRomX standard service 14 is an "APRS server". This relays
        APRS packets in the following way:

        The server sends the following APRS packets to clients:

           - Traffic received by any of XRouter's radio ports.

           - Traffic sent by other clients of the server.

           - Traffic sent by users of XRouter's APRS msg shell.

           - Filtered traffic from Internet APRS servers (if
             XROUTER's IGATE is connected to such a server)


        APRS packets from clients to server are distributed as
        follows:

           - To other clients, excluding the sender.

           - To XRouter's APRS messaging shell.

           - To radio ports

           - To Internet APRS servers via IGATE (if IGATE is running).

        Traffic is in plain ASCII text, with lines delimited by
        Carriage Return (CR) (ASCII 13). For example:
 
        MB7UYL>APXR01:=5224.00N/00215.00Wn Kidderminster, Worc's
         {Xrouter 501y}

        VE2PKT-4>ID:!4625.96N/07237.66WB 147.435Mhz 1.2Kb, VE2PKT-4,
         XRPI Router

        VK2DOT-1>ID:!3323.21S/15121.42E# Niagara Park Node -
          (VK2DOT-1) 44.136.16.1

        No login is required, and no commands are accepted. Simply
        disconnect when you are finished.

SEE ALSO
        APRS(9)     -- APRS in XRouter.
        APRS-SRV(9) -- APRS Server.
        IGATE(9)    -- APRS-Internet Gateway.
        SERVICES(9) -- NetRomX Standard Services.

APRS-SVC(9)                  END OF DOCUMENT

