;*************************** Max Width *******************************
BCAST(7)              XROUTER REFERENCE MANUAL               23/9/2023

NAME
        BCAST -- Destinations for UI Broadcasting.

SYNOPSIS
        BCAST=<dest>[,dest]...

AVAILABILITY
        Sysop-only.

DESCRIPTION
        BCAST is an optional PORT configuration directive. It
        specifies a list of AX25 L2 destination addresses for
        "UI broadcasting".

        Received non-digipeater UI frames, addressed to one of these
        destinations, will be re-broadcasted on all ports which have
        a matching address in their BCAST list.

        If no matching ports are found, the frame is broadcast only
        on the port upon which it is received.

        This would be used for example to broadcast mail-for beacons
        or unproto headers from a BBS on one port, onto several
        other ports.

        Note: There is also a BCAST *command*, which has a completely
        different function!
        
OPTIONS
        The destination addresses must be separated by commas and
        there must be no spaces in the list.

EXAMPLE
        BCAST=MAIL,ALL

SEE ALSO
        BCAST(1)       -- Trigger a Nodes Broadcast.
        BCFROM(7)      -- Approved UI Broadcasters.
        BCAST(9)       -- About UI Broadcasting.
        PORTS(6)       -- Ports in XRouter.
        XROUTER.CFG(8) -- Main Configuration File.

BCAST(7)                  END OF DOCUMENT
