DYNDNS.CFG(8)           XROUTER REFERENCE MANUAL              6/9/2023

NAME
        DYNDNS.CFG -- Dynamic DNS Update Client Configuration File.

DESCRIPTION
        This optional file is used by the Dynamic DNS Update Client,
        and contains information about your account, the address(es)
        you wish to update, and the method of update.

        If you are not using the client, you do not need this file.

EXAMPLES
        The following is an example DYNDNS.CFG file:

        ; DYNDNS.CFG:
        ; Configuration file for XRouter Dynamic DNS update client
        ; Do not delete or change the order of entries.
        ;
        ; Update server name
        members.dyndns.org
        ;
        ; IP detection server
        checkip.dyndns.org
        ;
        ; Account Name (put your own account name here)
        test
        ;
        ; Account Password (Put your password here)
        test
        ;
        ; System (dyndns, statdns or custom)
        ; (The latter two are only available on subscription.)
        dyndns
        ;
        ; Use external IP detection? (yes / no)
        ; This should be set to NO if Xrouter is directly connected
        ; to the Internet or YES if the Internet connection is via
        ; another router.
        NO
        ;
        ; Wildcard (ON / OFF)
        ; If this is set to ON, *.host.domain will be aliased to
        ; host.domain
        ON
        ;
        ; Hostname(s) to be updated, separated by commas. No spaces.
        ; (put your own hostname(s) here)
        test.ath.cx,test.dyndns.org,test.dnsalias.net
        ;

SEE ALSO
        DYNDNS(9) -- Dynamic DNS Update Client

DYNDNS.CFG(8)                  END OF DOCUMENT

