ESPANOL.SYS(8)          XROUTER REFERENCE MANUAL            22/10/2023

NAME
        ESPANOL.SYS -- Spanish Language Texts for XRouter.

DESCRIPTION
        ESPANOL.SYS is an optional file containing Spanish language
        texts for use within XRouter.

        If present in the same directory as the XRouter executable,
        the contents of this file are read at bootup only, adding
        Spanish prompts, headings and responses for those who select
        the Spanish language option.

        If this file is not present, XRouter defaults to ENGLISH.

        If you can improve on the translation, please do so, and
        please share your work.

        Be careful with modifications, because some of the texts are
        used in multiple places, and some of them are column headers
        which need to follow a strict format.

        Modifications to this file do not affect other languages.

FORMAT
        Each text is on a separate line, which begins with a number
        corresponding to that text. Following the number is some 
        whitespace, then the text itself is enclosed in quotes.  For
        example:

            12 "Erreur se synthèse\r"

        Most texts end with "\r" (carriage return, ASCII 13), but not
        all of them do. "Hanging" prompts and individual words don't.

        Blank lines, and lines which begin with '#' in the leftmost
        column are ignored. The latter can be used for comments.

        Some texts contain one or more placeholders such as "%s",
        "%d" etc. You may move their position within a text, but if
        you change them, you will cause XRouter to crash.

        For example, you could safely re-word the following:

            73   "Sesión %d No encontrado\r"

        to the following:

            73   "No puedo encontrar la sesión %d\r"

        "%d" is a placeholder for an integer
        "%s" is a placehlder for a string of characters

        Changes don't take effect unless XRouter is restarted.

        Text numbers fall into the following ranges:

            1-999 General texts
            1000  PZTDOS texts
            2000  AX25/NetRom texts
            3000  Chat server texts
            4000  APRS Messaging System Texts
            5000  FTP Client texts
            6000  PMS Texts
            7000  IDS (Intrusion Detection System) texts

        If a required text is not found in the file (e.g. it has
        been deleted or commented out), the inbuilt English text is
        used instead.

SEE ALSO
        CONSOLELANG(7)  -- Console language.
        DEFAULTLANG(7)  -- Specify default language.
        DEUTSCHE.SYS(8) -- German Language Texts.
        ENGLISH.SYS(8)  -- English Language Texts.
        FRANCAIS.SYS(8) -- French Language Texts.
        LANGS.SYS(8)    -- Language selection file.

ESPANOL.SYS(8)               END OF DOCUMENT
