FRACK(1)                XROUTER REFERENCE MANUAL             24/9/2023

COMMAND
        FRACK -- Display / Set FRACK for a port.

SYNOPSIS
        FRACK <port> [msec]

AVAILABILITY
        Sysop-only.

DESCRIPTION
        Displays the current FRACK (AX25 level 2 T1 timer) setting for 
        the specified port, or allows it to be changed.

        If the second argument is ommitted, the current value is 
        displayed, otherwise the value in millseconds is used.

        The new setting overrides the value specified in the CFG file, 
        and remains in force until changed or the next restart.

EXAMPLES
        FRACK 2          - Display port 2 frack setting
        FRACK 2 6000     - Set port 2 frack to 6 seconds

NOTES
        A typical FRACK setting for 1200 baud is 7000 (7 secs), and 
        specifies how long AX25 will wait for a level 2 ack before 
        requesting confirmation.  Setting this figure too low is 
        antisocial, achieves nothing, and could result in the link 
        retrying out.

        However, on AXUDP links 7 secs is excessive, and a figure
        more like 2000 (2 secs) should be used.

        FRACK=n may be used within PORT definition blocks in
        XROUTER.CFG to specify the default setting for a port.

SEE ALSO
        FRACK(7) -- Frame Acknowledgement Time.
        XROUTER.CFG(8) -- Main Configuration File.

FRACK(1)                    END OF DOCUMENT
