MINQUAL(1)              XROUTER REFERENCE MANUAL            21/10/2023

COMMAND
        MINQUAL -- Display / Set port minimum quality

SYNOPSIS
        MIN[qual] <port> [0-255]

DESCRIPTION
        The MINQUAL command is used to display and set the Net/rom 
        minqual (Minimum Quality) value for the specified port.

        Within nodes broadcasts received on that port, any node
        whose quality (after derating by port QUALITY) is less than
        the minqual will not be accepted into the nodes table.

        If the setting is changed, the new setting remains in force 
        until it is changed again, or until the router is restarted, 
        in which case it returns to the default value specified in
        the port entry in the XROUTER.CFG file.

OPTIONS
        If the second argument is omitted, the current value for
        the specified port is displayed.

EXAMPLES
        MIN 2      - Display current setting for port 2
        MIN 2 30   - Set minqual for port 2 to 30.

FILES
        The MINQUAL value for a port is usually specified in the PORT
        configuration block within XROUTER.CFG. If not specified, it
        defaults to 10.

AVAILABILITY
        Sysop-only.

SEE ALSO
        QUALITY(1)     -- Display / set port Quality
        MINQUAL(7)     -- Minimum NetRom Quality Directive.
        MINTXQUAL(1)   -- Display / set minimum quality to transmit
        XROUTER.CFG(8) -- Main Configuration File.

MINQUAL(1)                  END OF DOCUMENT
