NTTY-SVC(9)              XROUTER REFERENCE MANUAL             7/9/2023

NAME
        NTTY-SVC -- NetRomX TTYLink Service

DESCRIPTION
        NetromX Service 87 is Netrom access to TTYLink - keyboard to
        keyboard chat with the sysop. It is equivalent to telnetting
        to TCP service 87, or using the YELL command on the target
        node.

        When a client connects to the server, the sysop of the server
        is paged, and has 90 seconds to respond. The page consists of
        a pop-up dialog on top of the sysop's current window, and an
        audible sound. Note the latter only works on older-style PC's
        which have a "PC Speaker", or have AUDIODEVICE defined.

        At any point during or after the 90 seconds, the client has
        the option to leave a short one-line message (160 chars max)
        or to abort the call. 

        If the sysop takes more than 90 seconds to respond, and the
        client has not disconnected, the sysop can still use the
        "talk" command to initiate a chat with the caller.

        Here's an example session where the sysop responds:

            c mobile 87 s

            VK2DOT-1:DOTXR} Trying G8PZT-1

            VK2DOT-1:DOTXR} Connected to G8PZT-1

            TTYLINK at MOBILE:G8PZT-1
            Calling sysop for 90 seconds..
            Type 'M' at any time to leave a short message,
             or 'Q' to quit...

            *** G8PZT-1 has come online to talk ***
            Hello, why are you calling me?
            Because I want to, silly!
            Fair enough, it's mad talking to oneself you know...
            I know, but no-one else is around.
            Ok, bye for now

            *** The other end terminated the chat

            VK2DOT-1:DOTXR} Welcome back

        And here's a session where the sysop didn't respond.
        Although not strictly TTYlink, it is a useful compromise,
        rather than allow an important call to be missed:

            c mobile 87 s

            VK2DOT-1:DOTXR} Trying G8PZT-1

            VK2DOT-1:DOTXR} Connected to G8PZT-1

            TTYLINK at MOBILE:G8PZT-1
            Calling sysop for 90 seconds..
            Type 'M' at any time to leave a short message,
             or 'Q' to quit...
            No response, please type a short (1 line) message now...
            (or enter a blank line to skip this step)

            Can you call me back to discuss xrpi release asap? 

            Message saved for sysop
            Goodbye
            VK2DOT-1:DOTXR} Welcome back

        The message is stored in the sysop's PMS, and a flashing
        asterisk on the top left corner of the status bar alerts the
        sysop to its presence. The sysop can then access their PMS
        to read the message like this:

            CMD(B/H/K/L/R/S/?)>
            l
            Msg# Stat  Rcvd  Time  To      From    Subject
            6 PR   22/05 03:25  SYSOP   G8PZT   TTYLink msg from
                                                 G8PZT@VK2DOT-1

            CMD(B/H/K/L/R/S/?)>
            r 6

            Msg#: 6
            Rcvd: 22/05 03:25
            From: G8PZT
            To:   SYSOP
            Subj: TTYLink msg from G8PZT@VK2DOT-1

            Can you call me back to discuss XRPi release asap?

            CMD(B/H/K/L/R/S/?)>

        It's all a bit untidy at present, but will hopefully be
        tidied up in future revisons.

SEE ALSO
        TALK(1)     -- Talk to a user or another sysop.
        TTYLINK(1)  -- Keyboard chat with another TCP/IP system.
        YELL(1)     -- Page the sysop.
        AUDIO(9)    -- Audio Output.
        SERVICES(9) -- NetRomX Standard Services.

NTTY-SVC(9)                   END OF DOCUMENT
