PMS(9)                  XROUTER REFERENCE MANUAL               7/9/2023

NAME
        PMS -- Personal Message Server

SYNOPSIS
        This file describes XRouter's inbuilt Personal Message Server,
        which can be used for both private messages and bulletins.

DESCRIPTION
        XRouter's Personal Message Server (PMS) is a no-frills message 
        storage and retrieval system which is primarily intended for
        exchanging messages between users and sysops, but is not
        limited to that application.

        The PMS generates and understands SIDs (System IDentifiers),
        MIDs (Message IDentifiers) and BIDs (Bulletin IDentifiers),
        hierarchical addressing, bulletins, MBL forwarding and reverse
        forwarding, so it can also be used to exchange private mail
        and bulletins with a full-service Bulletin Board System
        (BBS). In fact it is a mini-BBS in its own right, as users
        may leave bulletins for others to read.

        There is no limit to the number of messages or the size of a 
        message.  If a disk is available, messages are stored on the
        disk and will persist until killed. If no disk is available,
        messages are stored in RAM and therefore will be lost if the
        machine is restarted.

        If there is unread local private mail in the PMS, the sysop
        is alerted by "PMS" flashing to the left of the nodecall on
        the top status bar.


        Configuring The PMS
        ~~~~~~~~~~~~~~~~~~~
        If you want to enable the PMS, you must configure at least
        PMSCALL in XROUTER.CFG. If you want your PMS to be visible on
        the NetRom network, you must additionally add PMSALIAS and a
        non-zero PMSQUAL. For example: 

                PMSCALL=G8PZT-2
                PMSALIAS=PZTPMS
                PMSQUAL=50


        Connecting To The PMS
        ~~~~~~~~~~~~~~~~~~~~~
        The PMS may be accessed using the "PMS" command, or by a
        connection to NetRomX service 2..

        In addition, if PMSCALL is defined in XROUTER.SYS, users may
        perform an AX25 level 2 connect directly to the PMSCALL.
        (PMSCALL must not not be the same as NODECALL)

        If PMSALIAS and a suitable PMSQUAL are also defined, users may 
        also connect directly to the PMS from another node, using
        NetRom.

        At the time of writing there is no direct TCP/IP access to the
        the PMS, because a regular Telnet connection followed by the
        issuing of the "PMS" command is sufficient.
	

        PMS Commands
        ~~~~~~~~~~~~
        The PMS has its own simple commands as follows:

           B[ye]           Disconnect from the PMS.
           H[elp]          Display list of commands.
           K[ill] <n>      Kill message number n.
           L[ist]          List messages.
           M)ine           List messages sent by me
           N)ew            List New (unread) messages addressed to me 
           Q[uit]          Disconnect from the PMS
           R[ead] <n>      Read message number n.
           S[end]          Send a message to sysop.
           SP <call>       Send personal message to <call>
           SB <group>      Send bulletin to <group>


        Message status markers:

           Status ' ' indicates unread "local" private mail.
           Status '$' indicates unforwarded non-local mail.
           Status 'F' indicates forwarded non-local mail.
           Status 'R' indicates local private mail that has been read.


        Disconnecting From The PMS
        ~~~~~~~~~~~~~~~~~~~~~~~~~~
        To exit the PMS, the user may send BYE or QUIT, or simply
        disconnect.

        If the user sends the BYE or QUIT command, and he had accessed
        the PMS using the "PMS" command, he is returned to XRouter's
        main command prompt upon exit, otherwise he is disconnected.

FILES
        Messages are stored in the PMS subdirectory of the XRouter
        working directory. Within the PMS directory, the file
        LASTMSG.SYS holds the last message number. Do not delete
        this file!

NOTE
        If a command alias, or an application, with the name "PMS" is 
        defined, it will take priority over the internal PMS.

AVAILABILITY
        The PMS is available to all users. It is also available via
        the HTTP interface. Some functionality is available via REST
        and MQTT interfaces.

SEE ALSO
        PMS(1)      -- Start PMS Session.
        PMSALIAS(7) -- PMS Alias
        PMSCALL(7)  -- PMS Callsign.
        PMSQUAL(7)  -- PMS Quality.
        PMS-SVC(9)  -- NetRomX PMS Service
        MQTT-PMS(9) -- MQTT Interface to PMS.
        REST-PMS(9) -- REST Interface to PMS.

PMS(9)                      END OF DOCUMENT
