REN(3)                  XROUTER REFERENCE MANUAL            18/10/2023

COMMAND
        REN -- Rename file(s). (PZTDOS)

SYNOPSIS
        REN [drive:][path\]<oldname> [drive:][path\]<newname>

DESCRIPTION
        Renames one or more file(s) from <oldname> to <newname>.

        If the source path is not specified, the current working 
        directory is assumed.

        If the destination path is not specified, the renamed file(s) 
        remain(s) in the source directory.

        If you specify two different paths, this command moves the 
        file to the new path, providing it is on the same drive.

        Filenames may contain wildcards. Pathnames on Linux are case-
        sensitive. Those on DOS and Windows are not.

        [drive:] is only applicable to DOS and Windows versions of
        XRouter. 

        Forward (/) and back (\) slashes are interchangeable.

        Pathnames containing spaces must be enclosed in double quote
        marks, e.g. "my documents".

EXAMPLES
        REN  FWD.SYS  FWD.OLD
        REN  C:\AUTOEXEC.BAT  AUTOEXEC.BAK
        REN  C:\TMP\FRED.DOC  \JUNK/JILL.DOC
        REN  *.SAV *.19

LIMITATIONS
        Source and destination pathnames must be on the same drive.  
        (Use the MOVE command for renaming to a different drive)

PORTABILITY
        This command follows normal DOS syntax.

AVAILABILITY
        REN is available within PZTDOS mode only.  Non-sysops do not
        have access to PZTDOS.

SEE ALSO
        DOS(1)  -- Enter PZTDOS mode.
        MOVE(3) -- Move a file with optional rename.

REN(3)                      END OF DOCUMENT
